#pragma config OSC=HS
#pragma config FCMEN=OFF
#pragma config IESO=OFF
#pragma config WDTPS=8192
#pragma config PWRT=OFF
#pragma config LPT1OSC=OFF
#pragma config BORV=3		
#pragma config STVREN=ON
#pragma config DEBUG=OFF
#pragma config WRTB=ON
#pragma config PBADEN=OFF
#pragma config LVP=OFF

#include <p18f4620.h> 
#include <reset.h>
#include <delays.h>

#include "leds.h"

#pragma code 

void main(void)
  {
    LED_INIT;
    LED_OFF;

    while (1)
        {
          ClrWdt(); 
          LED_A_ON;        Delay10KTCYx(255);
          LED_B_ON;        Delay10KTCYx(255);
          LED_C_ON;        Delay10KTCYx(255);
          LED_D_ON;        Delay10KTCYx(255);
          LED_E_ON;        Delay10KTCYx(255);
          LED_F_ON;        Delay10KTCYx(255);    
          LED_G_ON;        Delay10KTCYx(255);    
          LED_OFF;          
        }
  }  

