package FW::Action;

use strict;

use base qw(FW::Base);

sub new
  {
    my $pkg = shift;
    my $text = shift;
 
    my $obj = $pkg->SUPER::new($text);
    bless $obj, $pkg;

    $obj->expand($text) if ($text);

    return $obj;
  }

sub expand
  {
    my $obj = shift;

    my $action = shift || $obj->getText();

    if ($action eq 'deny')
      {
        $obj->setHex('00');
        $obj->setHexLen(1);
      }
    elsif ($action eq 'allow')
      {
        $obj->setHex('01');
        $obj->setHexLen(1);
      }
    else
      {
        die "Cannot determine proto";
      }
  }

return 1;


