package FW::Protocol;

use strict;

use base qw(FW::Base);

sub new
  {
    my $pkg = shift;
    my $text = shift;
 
    my $obj = $pkg->SUPER::new($text);
    bless $obj, $pkg;

    $obj->expand($text) if ($text);

    return $obj;
  }

sub expand
  {
    my $obj = shift;

    my $proto = shift || $obj->getText();

    if ($proto eq 'tcp')
      {
        $obj->setHex('06');
        $obj->setHexLen(1);
      }
    elsif ($proto eq 'udp')
      {
        $obj->setHex('11');
        $obj->setHexLen(1);
      }
    else
      {
        die "Cannot determine proto";
      }
  }

return 1;


