#!/usr/bin/perl

use strict;


open(IN,"<RFC1812.txt")||die "Cannot open input file";
open(OUT,">out.html")||die "Cannot open output file";
open(INDEX,">index.html")||die "Cannot open output file";

# my @refs = ($all =~ /(.{20}?MUST.{20}?)/g);

my $buffer = '';
my $index = 0;
my $must = 0;

print OUT '<pre>';

while (my $line = <IN>)
  {
    if ($line =~ /^\s*$/) 
      {
        if ($buffer)
          {
            if ($must) 
              {
                # blank line
                print INDEX qq|<a href="#section:$index">REFERENCE</a><br>\n|;
                print INDEX qq|<pre>\n$buffer\n</pre><p>\n|;
        
              } 
            $must = 0;
            $buffer = '';
            ++$index;
            print OUT qq|\n<a name="section:$index">\n|;
          }
      }
    else
      {
        if ($line =~ s/MUST NOT/<b>MUST NOT<\/b>/g)
          {
            $must = 1;
          }
        elsif ($line =~ s/MUST IMPLEMENT/<b>MUST IMPLEMENT<\/b>/g)
          {
            $must = 1;
          }
        elsif ($line =~ s/MUST/<b>MUST<\/b>/g)
          {
            $must = 1;
          }

        $buffer .= $line;
      }
    print OUT $line;

  }

print OUT '</pre>';

close(IN);
close(OUT);
close(INDEX);


