
#ifndef _LEDS_H
#define _LEDS_H

#include "GenericTypeDefs.h"
#include "GenericTypeDefs.h"
#include "Compiler.h"

#define LED_PAUSE Delay10KTCYx(255)

#define LED_A PORTBbits.RB3
#define LED_B PORTBbits.RB4
#define LED_C PORTBbits.RB5
#define LED_D PORTBbits.RB6
#define LED_E PORTBbits.RB7
#define LED_F PORTDbits.RD3
#define LED_G PORTDbits.RD2

#define LED_INIT  TRISBbits.TRISB3 = 0;\
                  TRISBbits.TRISB4 = 0;\
                  TRISBbits.TRISB5 = 0;\
                  TRISBbits.TRISB6 = 0;\
                  TRISBbits.TRISB7 = 0;\
                  TRISDbits.TRISD3 = 0;\
                  TRISDbits.TRISD2 = 0;
        
#define LED_OFF   LED_A = 0;\
                  LED_B = 0;\
                  LED_C = 0;\
                  LED_D = 0;\
                  LED_E = 0;\
                  LED_F = 0;\
                  LED_G = 0;
                  
#define LED_ON    LED_A = 1;\
                  LED_B = 1;\
                  LED_C = 1;\
                  LED_D = 1;\
                  LED_E = 1;\
                  LED_F = 1;\
                  LED_G = 1;
                  
#define LED_A_ON  LED_A=1
#define LED_B_ON  LED_B=1
#define LED_C_ON  LED_C=1
#define LED_D_ON  LED_D=1
#define LED_E_ON  LED_E=1
#define LED_F_ON  LED_F=1
#define LED_G_ON  LED_G=1

#define LED_A_OFF  LED_A=0
#define LED_B_OFF  LED_B=0
#define LED_C_OFF  LED_C=0
#define LED_D_OFF  LED_D=0
#define LED_E_OFF  LED_E=0
#define LED_F_OFF  LED_F=0
#define LED_G_OFF  LED_G=0

void led_display(BYTE value);

#endif


