#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define LED_A_ON printf("LED_A_ON\n")
#define LED_B_ON printf("LED_B_ON\n")
#define LED_C_ON printf("LED_C_ON\n")
#define LED_D_ON printf("LED_D_ON\n")
#define LED_E_ON printf("LED_E_ON\n")
#define LED_F_ON printf("LED_F_ON\n")
#define LED_G_ON printf("LED_G_ON\n")

int led_display(int value)
  {
    int u;
    int i;

    for (i=0; i<7; i++)
      {
        u = value%2;
        value = value/2;
        if (!u) continue;
        switch (i)
          {
            case 0: LED_A_ON; break;
            case 1: LED_B_ON; break;
            case 2: LED_C_ON; break;
            case 3: LED_D_ON; break;
            case 4: LED_E_ON; break;
            case 5: LED_F_ON; break;
            case 6: LED_G_ON; break;
          }  
      }
    return 0;
  }

int main(int argc, char *argv[])
  {
    led_display(11);
    return 0;
  }
